Bug 1360136 - Hostgroup info should show associated cv and lifecycle-environment
Summary: Hostgroup info should show associated cv and lifecycle-environment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Renzo Nuccitelli
URL:
Whiteboard:
: 1371504 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 06:08 UTC by Sachin Ghai
Modified: 2020-07-16 08:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 15990 Normal Closed Hostgroup info should show associated cv and lifecycle-environment 2020-03-31 10:11:50 UTC

Description Sachin Ghai 2016-07-26 06:08:01 UTC
Description of problem: In automation, we created a hostgroup with lifecycle environment. Hostgroup was created successfully but when we checked the info of hostgroup, we did not find  the associated lifecycle environment. Same issue is with creating hostgroup with content-view.


2016-07-26 11:25:10 - robottelo.ssh - DEBUG - >>> m] LANG=en_US.UTF-8  hammer -v -u admin -p changeme --output=csv hostgroup create --lifecycle-environment="C9Hafk" --organization-id="16" --name="FheyUd"

Message,Id,Name
Hostgroup created,1,FheyUd

2016-07-26 11:25:15 - robottelo.ssh - DEBUG - >>> [] LANG=en_US.UTF-8  hammer -v -u admin -p changeme  hostgroup info --id="1"

Id:                     1
Name:                   FheyUd
Title:                  FheyUd
Puppet CA Proxy Id:     
Puppet Master Proxy Id: 
Puppetclasses:          

Parameters:             

Organizations:          
    xxLCT7
Parent Id:


Version-Release number of selected component (if applicable):
sat62 GA snap21.1

How reproducible:


Steps to Reproduce:
1. create hostgroup with cv and lifecycle environment. 
2. check hostgroup info
3.

Actual results:


Expected results:
Hostgroup info should show associated cv and lifecycle-environment

Additional info:

Comment 2 Bryan Kearney 2016-08-07 18:16:17 UTC
Upstream bug component is Hammer

Comment 3 Bryan Kearney 2016-08-09 08:17:18 UTC
Upstream bug component is Content Management

Comment 5 Bryan Kearney 2016-08-09 18:16:37 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/15990 has been closed

Comment 6 Brad Buckingham 2016-08-31 19:17:39 UTC
*** Bug 1371504 has been marked as a duplicate of this bug. ***

Comment 9 Renzo Nuccitelli 2016-11-15 15:37:30 UTC
It worked on sat 6.3.0 snap 6:

hammer> hostgroup list
---|--------|--------|------------------|-------------|------
ID | NAME   | TITLE  | OPERATING SYSTEM | ENVIRONMENT | MODEL
---|--------|--------|------------------|-------------|------
1  | hgroup | hgroup |                  |             |      
---|--------|--------|------------------|-------------|------
hammer> hostgroup info --id 1
Id:                     1
Name:                   hgroup
Title:                  hgroup
Puppet CA Proxy Id:     
Puppet Master Proxy Id: 
Puppetclasses:          

Parameters:             

Organizations:          
    Default Organization
Parent Id:              
Content View:           FooContentView
Lifecycle Environment:  EnvTest

So I am moving this bug to VERIFIED

Comment 10 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.